Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 110755)
+++ channels/chan_sip.c	(working copy)
@@ -4378,6 +4378,11 @@
 		}
 	}
 
+	/* Only allow audio through if they sent progress with SDP, or if the channel is actually answered */
+	if (p->invitestate != INV_EARLY_MEDIA && ast->_state != AST_STATE_UP) {
+		fr = &ast_null_frame;
+	}
+
 	ast_mutex_unlock(&p->lock);
 	return fr;
 }
